<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android">
    <PreferenceCategory android:title="@string/updates">
        <PreferenceScreen
            android:title="@string/menu_manage"
            android:summary="@string/repositories_summary">
            <intent
                android:action="android.intent.action.MAIN"
                android:targetPackage="org.fdroid.fdroid"
                android:targetClass="org.fdroid.fdroid.views.ManageReposActivity" />
        </PreferenceScreen>
        <com.geecko.QuickLyric.view.AppCompatListPreference android:title="@string/update_interval"
            android:key="updateInterval"
            android:defaultValue="24"
            android:entries="@array/updateIntervalNames"
            android:entryValues="@array/updateIntervalValues" />
        <CheckBoxPreference android:title="@string/automatic_scan_wifi"
            android:defaultValue="false"
            android:key="updateOnWifiOnly" />
        <CheckBoxPreference android:title="@string/update_auto_download"
            android:summary="@string/update_auto_download_summary"
            android:defaultValue="false"
            android:key="updateAutoDownload" />
        <CheckBoxPreference android:title="@string/notify"
            android:defaultValue="true"
            android:key="updateNotify" />
        <EditTextPreference
            android:defaultValue="14"
            android:key="updateHistoryDays"
            android:maxLength="2"
            android:numeric="integer"
            android:title="@string/update_history" />
    </PreferenceCategory>
    <PreferenceCategory android:title="@string/display">
        <com.geecko.QuickLyric.view.AppCompatListPreference android:title="@string/pref_language"
            android:key="language"
            android:defaultValue=""
            android:entries="@array/languageNames"
            android:entryValues="@array/languageValues" />
        <com.geecko.QuickLyric.view.AppCompatListPreference android:title="@string/theme"
            android:key="theme"
            android:defaultValue="light"
            android:entries="@array/themeNames"
            android:entryValues="@array/themeValues" />
    </PreferenceCategory>
    <PreferenceCategory android:title="@string/appcompatibility">
        <CheckBoxPreference android:title="@string/show_incompat_versions"
            android:defaultValue="false"
            android:key="incompatibleVersions" />
        <CheckBoxPreference android:title="@string/rooted"
            android:defaultValue="true"
            android:key="rooted" />
        <CheckBoxPreference android:title="@string/hide_anti_feature_apps"
            android:defaultValue="false"
            android:key="hideAntiFeatureApps" />
        <CheckBoxPreference android:title="@string/ignoreTouch"
            android:defaultValue="false"
            android:key="ignoreTouchscreen" />
    </PreferenceCategory>
    <PreferenceCategory android:title="@string/local_repo">
        <EditTextPreference
            android:key="localRepoName"
            android:title="@string/local_repo_name" />
    </PreferenceCategory>
    <PreferenceCategory android:title="@string/proxy" >
        <CheckBoxPreference
            android:key="useTor"
            android:summary="@string/useTorSummary"
            android:title="@string/useTor" />
        <CheckBoxPreference
            android:defaultValue="false"
            android:key="enableProxy"
            android:title="@string/enable_proxy_title"
            android:summary="@string/enable_proxy_summary" />
        <EditTextPreference
            android:key="proxyHost"
            android:title="@string/proxy_host"
            android:summary="@string/proxy_host_summary"
            android:dependency="enableProxy" />
        <EditTextPreference
            android:key="proxyPort"
            android:title="@string/proxy_port"
            android:summary="@string/proxy_port_summary"
            android:dependency="enableProxy" />
    </PreferenceCategory>
    <PreferenceCategory android:title="@string/other"
        android:key="pref_category_other">
        <com.geecko.QuickLyric.view.AppCompatListPreference android:title="@string/cache_downloaded"
            android:key="keepCacheFor"
            android:defaultValue="86400000"
            android:entries="@array/keepCacheNames"
            android:entryValues="@array/keepCacheValues" />
        <CheckBoxPreference android:title="@string/expert"
            android:defaultValue="false"
            android:key="expert" />
        <CheckBoxPreference
            android:key="unstableUpdates"
            android:title="@string/unstable_updates"
            android:summary="@string/unstable_updates_summary"
            android:defaultValue="false"
            android:dependency="expert" />
        <CheckBoxPreference
            android:key="keepInstallHistory"
            android:title="@string/keep_install_history"
            android:summary="@string/keep_install_history_summary"
            android:defaultValue="false"
            android:dependency="expert" />
        <CheckBoxPreference android:title="@string/system_installer"
            android:defaultValue="false"
            android:key="privilegedInstaller"
            android:persistent="false"
            android:dependency="expert" />
        <Preference android:title="@string/uninstall_system"
            android:summary="@string/uninstall_system_summary"
            android:key="uninstallPrivilegedApp"
            android:dependency="expert" />
    </PreferenceCategory>
</PreferenceScreen>
